Skip to main content
PUT
Update questionnaire response

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Path Parameters

id
string
required
Required string length: 1 - 64

Body

application/json
questionnaire_id
string | null
Maximum string length: 64
questionnaire_canonical
string | null
Maximum string length: 2048
status
enum<string>
Available options:
in-progress,
completed,
amended,
entered-in-error,
stopped
subject
object
encounter_id
string | null
Maximum string length: 64
authored_at
string<date-time>
author
object
source
object
answers
object

Response

Updated

data
object
required
request_id
string
required